Manifest-Version: 1.0
Bundle-Copyright: Copyright (c) (2024) Contributors to the Eclipse Fou
 ndation.
Bundle-Description: HTTP callback whiteboard
Bundle-Developers: timothyjward;name="Timothy Ward";organization=Kenty
 ou;organizationUrl="https://www.kentyou.com/",tcalmant;name="Thomas C
 almant";organization=Kentyou;organizationUrl="https://www.kentyou.com
 /",juergen-albert;name="Jürgen Albert";organization="Data in Motion"
 ;organizationUrl="https://www.datainmotion.de/",stbischof;name="Stefa
 n Bischof"
Bundle-DocURL: https://projects.eclipse.org/projects/technology.sensin
 act/southbound/http-parent/http-callback-whiteboard
Bundle-License: "EPL 2.0";link="http://www.eclipse.org/legal/epl-2.0";
 description="Except for 3rd party content and examples."
Bundle-ManifestVersion: 2
Bundle-Name: Sensinact Southbound HTTP :: Callback whiteboard
Bundle-SCM: url="https://github.com/eclipse/org.eclipse.sensinact.gate
 way/southbound/http-parent/http-callback-whiteboard",connection="scm:
 git:git@github.com:eclipse/org.eclipse.sensinact.gateway.git/southbou
 nd/http-parent/http-callback-whiteboard",developer-connection="scm:gi
 t:git@github.com:eclipse/org.eclipse.sensinact.gateway.git/southbound
 /http-parent/http-callback-whiteboard",tag=HEAD
Bundle-SymbolicName: org.eclipse.sensinact.gateway.southbound.http.htt
 p-callback-whiteboard
Bundle-Vendor: Eclipse Foundation
Bundle-Version: 0.0.2.202408091321
Export-Package: org.eclipse.sensinact.gateway.southbound.http.callback
 .api;version="0.0.1"
Git-Descriptor: Brain_IoT_All_In_One-1203-gb0c9c31b7
Git-SHA: b0c9c31b77df8c1d4166f3991727d9470e200a46
Import-Package: jakarta.servlet,jakarta.servlet.http,java.io,java.lang
 ,java.lang.annotation,java.lang.invoke,java.util,java.util.concurrent
 ,java.util.concurrent.locks,org.eclipse.sensinact.gateway.southbound.
 http.callback.api;version="[0.0,1)",org.osgi.service.servlet.runtime;
 version="[2.0,3)",org.slf4j;version="[2.0,3)"
Private-Package: org.eclipse.sensinact.gateway.southbound.http.callbac
 k
Provide-Capability: osgi.service;objectClass:List<String>="jakarta.ser
 vlet.Servlet";uses:="jakarta.servlet",osgi.implementation;osgi.implem
 entation="sensinact.http.callback.whiteboard";version:Version="0.0.1"
Require-Capability: osgi.service;filter:="(objectClass=org.eclipse.sen
 sinact.gateway.southbound.http.callback.api.HttpCallback)";effective:
 =active;resolution:=optional;cardinality:=multiple,osgi.service;filte
 r:="(objectClass=org.osgi.service.servlet.runtime.HttpServiceRuntime)
 ";effective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.comp
 onent)(version>=1.5.0)(!(version>=2.0.0)))",osgi.implementation;filte
 r:="(&(osgi.implementation=osgi.http)(version>=2.0.0)(!(version>=3.0.
 0)))",osgi.contract;osgi.contract=JakartaServlet;filter:="(&(osgi.con
 tract=JakartaServlet)(version=5.0.0))",osgi.ee;filter:="(&(osgi.ee=Ja
 vaSE)(version=11))"
Service-Component: OSGI-INF/org.eclipse.sensinact.gateway.southbound.h
 ttp.callback.HttpCallbackWhiteboard.xml

